Bug 1014625 - modules.d/90bcache needs te be aligned with bcache-tools
modules.d/90bcache needs te be aligned with bcache-tools
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: dracut (Show other bugs)
20
Unspecified Linux
unspecified Severity medium
: ---
: ---
Assigned To: dracut-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1004693
  Show dependency treegraph
 
Reported: 2013-10-02 08:32 EDT by Rolf Fokkens
Modified: 2014-01-22 05:54 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-22 05:54:34 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rolf Fokkens 2013-10-02 08:32:29 EDT
Description of problem:
bcache-tools contains /usr/lib/udev/rules.d/61-bcache.rules which will be renamed to /usr/lib/udev/rules.d/65-bcache.rules. See Bug 1004693.

Dracut relies in /usr/lib/dracut/modules.d/90bcache on /usr/lib/udev/rules.d/61-bcache.rules. This will break after the proposed change in bcache-tools.

Version-Release number of selected component (if applicable):
dracut-033-3.git20130913.fc20

Proposed solution:
Remove /usr/lib/dracut/modules.d/90bcache from dracut and include this in bcache-tools.

Alternatively dracut may be changed to rely in 65-bcache.rules instead of 61-bcache.rules, but this maintains a very tight dependency on the precise name and location of bcache (udev) rules.

Additional info:
https://lists.fedoraproject.org/pipermail/devel/2013-September/189724.html
https://bugzilla.redhat.com/show_bug.cgi?id=1004693
Comment 1 Nimimo 2013-10-02 08:45:03 EDT
Try globbing: /usr/lib/udev/rules.d/*-bcache.rules
I'd rather have the Dracut module maintained with Dracut.
Comment 2 Rolf Fokkens 2013-10-02 18:26:48 EDT
After discussing with Harald we agreed to remove the bcache module from dracut and integrating it into bcache-tools for easier maintain consistency between the udev rules file and the dracut module.

Releasing the dracut package _without_ the module will be synchronized with bcache _with_ the module.
Comment 3 Rolf Fokkens 2013-10-03 15:09:45 EDT
The new bcache-tools package is ready and will be released when the new dracut package is released.
Comment 4 Harald Hoyer 2014-01-22 05:54:34 EST
$ rpm -q dracut
dracut-034-64.git20131205.fc20.1.x86_64
$ rpm -ql dracut | fgrep bcache
$

Note You need to log in before you can comment on or make changes to this bug.